import React from "react";
import { BaseFlowStep } from "../../Steps/BaseFlowStep";
import { FlowStepSequence } from "../../Structure/FlowStepSequence";
import { FlowEditContext } from "../../FlowEditContext";
interface IHorizontalStepHost {
    sequence: FlowStepSequence;
    editContext: FlowEditContext;
    index: number;
    step: BaseFlowStep;
    nextStep?: BaseFlowStep;
}
export declare class HorizontalStepHost extends React.Component<IHorizontalStepHost, {
    isDragging: boolean;
    isCollapsed: boolean;
    isDroppingOver: boolean;
}> {
    element: HTMLDivElement | null;
    componentDidUpdate(): void;
    render(): JSX.Element;
    private renderStep;
    private renderStepSummary;
}
export declare const StepSurround: import("styled-components").StyledComponent<"div", any, {
    invalid: boolean;
    hidden?: boolean | undefined;
    setMinWidth: boolean;
}, never>;
export declare const VirtualStepSurround: import("styled-components").StyledComponent<"div", any, {}, never>;
export declare const StepPathConnector: import("styled-components").StyledComponent<"div", any, {}, never>;
export declare const StepConnectSummaryDiv: import("styled-components").StyledComponent<"div", any, {}, never>;
export declare const StepIconWrapperDiv: import("styled-components").StyledComponent<"div", any, {
    selected: boolean;
}, never>;
export declare const StepIconDiv: import("styled-components").StyledComponent<"div", any, {}, never>;
export declare const StepDescriptionIconDiv: import("styled-components").StyledComponent<"div", any, {}, never>;
export declare const StepConnectOtherPaths: import("styled-components").StyledComponent<"div", any, {}, never>;
export declare const StepWrapper: import("styled-components").StyledComponent<"div", any, {}, never>;
export {};
